Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.27
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.ocsp
Class OCSPResponse

    java.lang.Object
      |
      +--org.bouncycastle.asn1.ASN1Encodable
            |
            +--org.bouncycastle.asn1.ocsp.OCSPResponse

All Implemented Interfaces:
  DEREncodable

public class OCSPResponse
extends ASN1Encodable

Constructor Summary
`OCSPResponse(ASN1Sequence seq)`
`OCSPResponse(OCSPResponseStatus responseStatus, ResponseBytes responseBytes)`

Method Summary
`static OCSPResponse` | `getInstance(ASN1TaggedObject obj, boolean explicit)`
`static OCSPResponse` | `getInstance(java.lang.Object obj)`
`ResponseBytes` | `getResponseBytes()`
`OCSPResponseStatus` | `getResponseStatus()`
`DERObject` | `toASN1Object()` Produce an object suitable for an ASN1OutputStream.

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDERObject, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OCSPResponse

    public OCSPResponse(OCSPResponseStatus responseStatus,
                        ResponseBytes responseBytes)

### OCSPResponse

    public OCSPResponse(ASN1Sequence seq)

Method Detail

### getInstance

    public static OCSPResponse getInstance(ASN1TaggedObject obj,
                                           boolean explicit)

### getInstance

    public static OCSPResponse getInstance(java.lang.Object obj)

### getResponseStatus

    public OCSPResponseStatus getResponseStatus()

### getResponseBytes

    public ResponseBytes getResponseBytes()

### toASN1Object

    public DERObject toASN1Object()

  Produce an object suitable for an ASN1OutputStream.

       OCSPResponse ::= SEQUENCE {
           responseStatus         OCSPResponseStatus,
           responseBytes          [0] EXPLICIT ResponseBytes OPTIONAL }

  Overrides:
    `toASN1Object` in class `ASN1Encodable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.27
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD